Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table
Interface PartBuilder

All Superinterfaces:
  Available, com.tonbeller.wcf.bookmarks.Bookmarkable

All Known Subinterfaces:
  AxisBuilder, CellBuilder, ColumnAxisBuilder, CornerBuilder, RowAxisBuilder, SlicerBuilder, SpanBuilder, TableComponentExtension

All Known Implementing Classes:
  AxisBuilderSupport, AxisStyleUI, CellBuilderDecorator, CellBuilderImpl, ColumnAxisBuilderImpl, CornerBuilderDecorator, CornerBuilderImpl, DrillExpandMemberUI, DrillExpandPositionUI, DrillExpandUI, DrillReplaceUI, DrillThroughUI, ExcelCellBuilderDecorator, ExcelTableExtension, MdxQueryUI, NonEmptyUI, PartBuilderDecorator, PartBuilderSupport, ResetQueryUI, RowAxisBuilderImpl, SlicerBuilderDecorator, SlicerBuilderImpl, SortRankUI, SpanBuilderDecorator, SpanBuilderImpl, StaticClickableMember, SwapAxesUI, TableComponentExtensionSupport

    public interface PartBuilder

extends com.tonbeller.wcf.bookmarks.Bookmarkable, Available

Builds a part of the table

Author:
  av

Field Summary

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Method Summary
`void` | `destroy(javax.servlet.http.HttpSession session)` destructor, called once after session timeout
`void` | `initialize(com.tonbeller.wcf.controller.RequestContext context, TableComponent table)` deferred ctor, called once after creation
`boolean` | `isAvailable()` true, if the current olapModel supports all extensions that are required by this partBuilder.
`void` | `startBuild(com.tonbeller.wcf.controller.RequestContext context)` called before the DOM is built after the TableRenderer has been fully initialized
`void` | `stopBuild()` called after the DOM has been built.

Methods inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`getBookmarkState, setBookmarkState`

Method Detail

### initialize

    void initialize(com.tonbeller.wcf.controller.RequestContext context,
                    TableComponent table)
                    throws java.lang.Exception

  deferred ctor, called once after creation

  Throws:
    `java.lang.Exception`

### destroy

    void destroy(javax.servlet.http.HttpSession session)
                 throws java.lang.Exception

  destructor, called once after session timeout

  Parameters:
    `session` -
  Throws:
    `java.lang.Exception`

### startBuild

    void startBuild(com.tonbeller.wcf.controller.RequestContext context)

  called before the DOM is built after the TableRenderer has been fully initialized

### stopBuild

    void stopBuild()

  called after the DOM has been built.

### isAvailable

    boolean isAvailable()

  true, if the current olapModel supports all extensions that are required by this partBuilder. If false, a GUI will not show related items.

  Specified by:
    `isAvailable` in interface `Available`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD